package com.ur.urcap.externalaxis.coordinatedmotionprogrammer.impl;

import java.util.Locale;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.program.ContributionConfiguration;
import com.ur.urcap.api.contribution.program.CreationContext;
import com.ur.urcap.api.contribution.program.ProgramAPIProvider;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.domain.data.DataModel;

public class MovePWithAxisGroupNodeService
    implements SwingProgramNodeService<MovePWithAxisGroupNodeContribution, MovePWithAxisGroupNodeView> {

  public MovePWithAxisGroupNodeService() {
  }

  @Override
  public String getId() {
    return "MovePWithAxisGroup";
  }

  @Override
  public String getTitle(Locale locale) {
    return "MoveP with Axis Group";
  }

  @Override
  public void configureContribution(ContributionConfiguration configuration) {
    configuration.setUserInsertable(false);
  }

  @Override
  public MovePWithAxisGroupNodeView createView(ViewAPIProvider apiProvider) {
    return new MovePWithAxisGroupNodeView(apiProvider, new V5Style());
  }

  @Override
  public MovePWithAxisGroupNodeContribution createNode(ProgramAPIProvider apiProvider, MovePWithAxisGroupNodeView view,
      DataModel model, CreationContext context) {

    return new MovePWithAxisGroupNodeContribution(apiProvider, view, model);
  }
}
